[X2go-Commits] x2godesktopsharing.git - master (branch) updated: 3.0.1.2-20-g10d8ce5

X2go dev team git-admin at x2go.org
Wed Sep 28 16:57:57 CEST 2011


The branch, master has been updated
       via  10d8ce59c44d6fdc17ff4823efb307a36cbfa79d (commit)
       via  d1674883c091c3a532011a31bb2c17d35cb7b725 (commit)
      from  91df9e9278ea7dcb4bc17d1f8a934af0dfdd909d (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 10d8ce59c44d6fdc17ff4823efb307a36cbfa79d
Author: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
Date:   Wed Sep 28 16:50:04 2011 +0200

    Add script x2godesktopsharing-terminate: detect x2godesktopsharing process of a given session and terminate that process.

commit d1674883c091c3a532011a31bb2c17d35cb7b725
Author: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
Date:   Wed Sep 28 16:49:19 2011 +0200

    changelog fix

-----------------------------------------------------------------------

Summary of changes:
 bin/x2godesktopsharing-terminate                |   46 +++++++++++++++++++++++
 debian/changelog                                |    6 ++-
 debian/x2godesktopsharing.install               |    2 +
 share/x2gofeature.d/x2godesktopsharing.features |   36 ++++++++++++++++++
 4 files changed, 88 insertions(+), 2 deletions(-)
 create mode 100755 bin/x2godesktopsharing-terminate
 create mode 100755 share/x2gofeature.d/x2godesktopsharing.features

The diff of changes is:
diff --git a/bin/x2godesktopsharing-terminate b/bin/x2godesktopsharing-terminate
new file mode 100755
index 0000000..7b4d69d
--- /dev/null
+++ b/bin/x2godesktopsharing-terminate
@@ -0,0 +1,46 @@
+#!/bin/bash
+
+set -ex
+
+# Copyright (C) 2007-2011 X2go Project - http://wiki.x2go.org
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the
+# Free Software Foundation, Inc.,
+# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Copyright (C) 2011  Oleksandr Shneyder <oleksandr.shneyder at obviously-nice.de>
+# Copyright (C) 2011  Heinz-Markus Graesing <heinz-m.graesing at obviously-nice.de>
+# Copyright (C) 2011  Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
+
+if [ $# -eq 1   ]; then
+	SESSION_NAME=$1
+else 
+	SESSION_NAME=$X2GO_SESSION
+fi
+
+X2GO_LIB_PATH=`echo -n \$(x2gobasepath)/lib/x2go`
+
+$X2GO_LIB_PATH/x2gosyslog "$0" "info" "$(basename $0) called with options: $@"
+
+
+X2GO_DISPLAY=$(echo $SESSION_NAME | cut -d"-" -f2)
+for process_id in `pidof x2godesktopsharing`; do
+	env_of_process=$(cat -A /proc/$process_id/environ)
+	env_of_process=${env_of_process//^@/\\n}
+	display=$(echo -e $env_of_process | egrep "^DISPLAY=.*$" | cut -d"=" -f2)
+	if echo $display | grep $X2GO_DISPLAY &>/dev/null; then
+		echo kill -SIGTERM $process_id
+	fi
+done
+
diff --git a/debian/changelog b/debian/changelog
index 906ed53..ee8c58d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,6 @@
 x2godesktopsharing (3.0.1.3-0~x2go1) UNRELEASED; urgency=low
 
-  New upstream version (3.0.1.3):
+  * New upstream version (3.0.1.3):
     - Fix incomplete DENY statement in main.cpp.
     - System group for x2godesktopsharing change from x2gousers -> 
       x2godesktopsharing.
@@ -9,7 +9,9 @@ x2godesktopsharing (3.0.1.3-0~x2go1) UNRELEASED; urgency=low
     - Differentiate between local and remote user, fixes display of wrong
       user name for remote user.
     - Add signal handler so that unix signals can be handled within Qt.
-  Depend on x2goserver (>=3.0.99.6).
+    - Add script x2godesktopsharing-terminate: detect x2godesktopsharing process
+      of a given session and terminate that process.
+  * Depend on x2goserver (>=3.0.99.6).
 
  -- Mike Gabriel <mike.gabriel at das-netzwerkteam.de>  Mon, 13 Jun 2011 20:39:33 +0200
 
diff --git a/debian/x2godesktopsharing.install b/debian/x2godesktopsharing.install
index c7444b2..1e51109 100644
--- a/debian/x2godesktopsharing.install
+++ b/debian/x2godesktopsharing.install
@@ -1 +1,3 @@
 VERSION.x2godesktopsharing      usr/share/x2go/versions
+bin/*                           usr/bin/
+share/*                         usr/share/x2go/
\ No newline at end of file
diff --git a/share/x2gofeature.d/x2godesktopsharing.features b/share/x2gofeature.d/x2godesktopsharing.features
new file mode 100755
index 0000000..2f29612
--- /dev/null
+++ b/share/x2gofeature.d/x2godesktopsharing.features
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+# Copyright (C) 2007-2011 X2go Project - http://wiki.x2go.org
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the
+# Free Software Foundation, Inc.,
+# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Copyright (C) 2011  Oleksandr Shneyder <oleksandr.shneyder at obviously-nice.de>
+# Copyright (C) 2011  Heinz-Markus Graesing <heinz-m.graesing at obviously-nice.de>
+
+X2GO_LIB_PATH=`echo -n \$(x2gobasepath)/lib/x2go`
+
+$X2GO_LIB_PATH/x2gosyslog "$0" "info" "$(basename $0) called with options: $@"
+
+X2GO_FEATURE=$1
+
+# check for X2go server core features
+case "$X2GO_FEATURE" in
+
+    "X2GO_DESKTOPSHARING") echo "ok"; exit 0;;
+    *) exit -1;;
+
+esac
+


hooks/post-receive
-- 
x2godesktopsharing.git (Desktop Sharing for X2go)

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "x2godesktopsharing.git" (Desktop Sharing for X2go).




More information about the x2go-commits mailing list